/*
// Created by Tiny on 3/3/2021.
*/

/*!
 * \file personnage.h
 * \brief Game Header File
 * \authors Tin
 * \version 1
 * \date 03/03/2021
 *
 * Explanation.
 *
 */

#ifndef INSAGAME_GAME_H
#define INSAGAME_GAME_H

/*!
 * \def WINDOW_WIDTH
 * \brief The window's width.
 */
#define WINDOW_WIDTH 700
/*!
 * \def WINDOW_HEIGHT
 * \brief The window's height.
 */
#define WINDOW_HEIGHT 700

/*!
 * \def SPEED
 * \brief General speed.
 */
#define SPEED 5

typedef struct {
    int up; /**< Position : x hight-left point */
    int down; /**< Position : y hight-left point */
    int left; /**< Size : length */
    int right; /**< Size : width */
} Direction;







#endif /*INSAGAME_GAME_H*/
